<?php
if(!defined('sugarEntry') || !sugarEntry) die('Not A Valid Entry Point');
/*********************************************************************************
 * SugarCRM is a customer relationship management program developed by
 * SugarCRM, Inc. Copyright (C) 2004 - 2009 SugarCRM Inc.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License version 3 as published by the
 * Free Software Foundation with the addition of the following permission added
 * to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED WORK
 * IN WHICH THE COPYRIGHT IS OWNED BY SUGARCRM, SUGARCRM DISCLAIMS THE WARRANTY
 * OF NON INFRINGEMENT OF THIRD PARTY RIGHTS.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, see http://www.gnu.org/licenses or write to the Free
 * Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301 USA.
 * 
 * You can contact SugarCRM, Inc. headquarters at 10050 North Wolfe Road,
 * SW2-130, Cupertino, CA 95014, USA. or at email address contact@sugarcrm.com.
 * 
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU General Public License version 3.
 * 
 * In accordance with Section 7(b) of the GNU General Public License version 3,
 * these Appropriate Legal Notices must retain the display of the "Powered by
 * SugarCRM" logo. If the display of the logo is not reasonably feasible for
 * technical reasons, the Appropriate Legal Notices must display the words
 * "Powered by SugarCRM".
 ********************************************************************************/
/*********************************************************************************

 * Description:  TODO: To be written.
 * Portions created by SugarCRM are Copyright (C) SugarCRM, Inc.
 * All Rights Reserved.
 * Contributor(s): ______________________________________..
 ********************************************************************************/
require_once('modules/Contacts/ContactFormBase.php');
require_once('include/formbase.php');
require_once('include/Upload.php');
$contactForm = new ContactFormBase();
//$focus = new Contact();

include('modules/Contacts/SimpleImage.php');

if($_FILES['contact_picture']['name']){
    $_POST['contact_picture']=upload_file("contact_picture","modules/Contacts/upload/images/");
    $img="modules/Contacts/upload/images/".$_POST['contact_picture'];
    copy($img,"modules/Contacts/upload/images/big/".$_POST['contact_picture']);
    chmod("modules/Contacts/upload/images/big/".$_POST['contact_picture'],0777);
    $size=getSize($img,125);
    $image = new SimpleImage();
    $image->load($img);
    $image->resize($size[0],$size[1]);
    $image->save($img);
   
}
if($_REQUEST['delete_contact_picture']){
    $_POST['contact_picture']=$_REQUEST['contact_picture']="";
}

$json = getJSONobj();
//categories
$pll = array();
$exp=explode("||||",$_POST['position_list55']);
foreach($exp as $ep){
	if($ep){
		$pll[] = $json->decode(htmlspecialchars_decode($ep));
	}
}
$_POST['position_list55'] = $pll;

$prefix = empty($_REQUEST['dup_checked']) ? '' : 'Contacts';
$id= $contactForm->handleSave($prefix, false, false);
if($id!=''){
	header("Location: index.php?module=Contacts&action=DetailView&record=".$id);
}

?>
